Uploaded image for project: 'Beam'
  1. Beam
  2. BEAM-8386

Java Dependencies out of date

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Critical
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: website
    • Labels:
      None

      Description

      When navigating to see the "Apache Beam 2.x SDKs" in the Datafloc docs (https://cloud.google.com/dataflow/docs/concepts/sdk-worker-dependencies#beam-2x-java), you must click through to the Beam website (https://beam.apache.org/documentation/sdks/java-dependencies/). However, it appears that this hasn't been updated since 2.9.0.

      External libraries for 2.16 can be found here (https://github.com/apache/beam/blob/release-2.16.0/buildSrc/src/main/groovy/org/apache/beam/gradle/BeamModulePlugin.groovy#L434).

      Additional context found here:

      https://lists.apache.org/thread.html/eb25c9a2c9d26117a6f0ee924902ecd46cd5c2063025918df7080d3a@%3Cdev.beam.apache.org%3E

        Attachments

          Activity

            People

            • Assignee:
              kenn Kenneth Knowles
              Reporter:
              mnazir Mehran Nazir
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: